modsecurity_rules_file /etc/nginx/modsec/conf.d/{{ mapping["uid"] }}.conf;

{% if mapping["uses extended http methods"] is not none and mapping["uses extended http methods"] %}
  modsecurity_rules_file /etc/nginx/modsec/levels_init/INIT_LEVEL_0_REQUEST-911-METHOD-ENFORCEMENT.conf;
{% endif %}

{% if mapping["has as security profile"] is not none and  mapping["has as security profile"][0]["has as security item"] is not none %}
  {% for si in mapping["has as security profile"][0]["has as security item"] %}
    {% if (si["has as name"] == "REQUEST-911-METHOD-ENFORCEMENT" and mapping["uses extended http methods"] is none) or si["has as name"] != "REQUEST-911-METHOD-ENFORCEMENT" %}
      modsecurity_rules_file /etc/nginx/modsec/levels_init/INIT_LEVEL_{{ si["has as paranoia level"] }}_{{ si["has as name"] }}.conf;
    {% endif %}
  {% endfor %}
{% else %}
  {% if mapping["default_sec_profile"] is not none %}
    {% for si in  mapping["default_sec_profile"][0]["has as security item"] %}
      {% if (si["has as name"] == "REQUEST-911-METHOD-ENFORCEMENT" and mapping["uses extended http methods"] is none) or si["has as name"] != "REQUEST-911-METHOD-ENFORCEMENT" %}
        modsecurity_rules_file /etc/nginx/modsec/levels_init/INIT_LEVEL_{{ si["has as paranoia level"] }}_{{ si["has as name"] }}.conf;
      {% endif %}
    {% endfor %}
  {% else %}
    {% for ff in modsec_mapping_rules %}
      {% if (ff == "REQUEST-911-METHOD-ENFORCEMENT.conf" and mapping["uses extended http methods"] is none) or ff != "REQUEST-911-METHOD-ENFORCEMENT.conf" %}
        modsecurity_rules_file /etc/nginx/modsec/levels_init/INIT_LEVEL_4_{{ff}};
      {% endif %}
    {% endfor %}
  {% endif %}
{% endif %}
